% EVALUATION OF ROBOT MODEL & TRACK SIMULATION

close

% Extract simulation data:
time = out.tout;
xsim = out.PositionData.signals(1).values;
ysim = out.PositionData.signals(2).values;
thsim = out.PositionData.signals(3).values;

% Draw trajectory with map:
Xpos = map.fcn(1,:);
Ypos = map.fcn(2,:);

figure; hold on
plot(Xpos,Ypos,'.'); grid
xlim([0 LX]); ylim([0 LY]);
plot(xsim,ysim,'*r','LineWidth',6)
title('Trajectory and line map')
xlabel('X'); ylabel('Y')
legend('line','robot')